- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::EdgeData::Edge Struct Reference

Edge data. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Attributes
size_t | triIndex [2]
| The indexes of the 2 tris attached, note that tri 0 is the one where the indexes run _anti_ clockwise along the edge.
size_t | vertIndex [2]
| The vertex indices for this edge.
size_t | sharedVertIndex [2]
| Vertex indices as used in the shared vertex list, not exposed.
bool | degenerate
| Indicates if this is a degenerate edge, ie it does not have 2 triangles.

## Detailed Description

Edge data.

Definition at line 62 of file OgreEdgeListBuilder.h.

## Member Data Documentation

size_t Ogre::EdgeData::Edge::triIndex[2]

The indexes of the 2 tris attached, note that tri 0 is the one where the indexes run _anti_ clockwise along the edge.

Indexes must be reversed for tri 1.

Definition at line 66 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::Edge::vertIndex[2]

The vertex indices for this edge.

Note that both vertices will be in the vertex set as specified in 'vertexSet', which will also be the same as tri 0

Definition at line 69 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::Edge::sharedVertIndex[2]

Vertex indices as used in the shared vertex list, not exposed.

Definition at line 71 of file OgreEdgeListBuilder.h.

bool Ogre::EdgeData::Edge::degenerate

Indicates if this is a degenerate edge, ie it does not have 2 triangles.

Definition at line 73 of file OgreEdgeListBuilder.h.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:33 2008